View Issue Details

IDProjectCategoryView StatusLast Update
0025072mantisbtfilterspublic2019-01-02 17:25
Reporterelpoutro Assigned Tocommunity  
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version2.18.0 
Target Version2.19.0Fixed in Version2.19.0 
Summary0025072: Could not use the FilterBugList filter with "Permalink"
Description

I could not use the FilterBugList filter (https://github.com/mantisbt-plugins/FilterBugList) with "Permalink". I think that every plugin filters are impacted by this issue and my modification may resolve it in any cases.

Steps To Reproduce

1) Add the "FilterBugList" plugin in Manits (https://github.com/mantisbt-plugins/FilterBugList)
2) Use this filter by adding one or more bug number and valid this filter
3) Try to set a Permalink: => Mantis give you a URL.
4) Use this URL in other navigator
=> You may only see the mantis you gave at step (2)... But you get all mantis (no filter set)

TagsNo tags attached.

Activities

elpoutro

elpoutro

2018-12-10 10:23

reporter   ~0061065

Proposed solution: https://github.com/mantisbt/mantisbt/pull/1423

Related Changesets

MantisBT: master a759e186

2018-12-17 03:34:03

elpoutro


Committer: dregad Details Diff
Add plugin filters management in search.php

Before modification, filters created through plugins (using MantisFilter
class and EVENT_FILTER_FIELDS hook) cannot be used in "Permalink"
functionality.

Now, the data about filters mapped by EVENT_FILTER_FIELDS hook are
managed by search.php witch is used to analyse permanent links.

Fixes 0025072
Affected Issues
0025072
mod - search.php Diff File

Issue History

Date Modified Username Field Change
2018-12-10 08:01 elpoutro New Issue
2018-12-10 10:23 elpoutro Note Added: 0061065
2018-12-17 03:34 dregad Changeset attached => MantisBT master a759e186
2018-12-17 03:34 dregad Assigned To => dregad
2018-12-17 03:34 dregad Status new => resolved
2018-12-17 03:34 dregad Resolution open => fixed
2018-12-17 03:34 dregad Fixed in Version => 2.19.0
2018-12-17 03:34 dregad Assigned To dregad => community
2018-12-17 03:34 dregad Target Version => 2.19.0
2019-01-02 17:25 vboctor Status resolved => closed